import React from "react";
import { Typography, Paper } from "@mui/material";
import styles from './RecordLyrics.module.css';
import { useSelector, useDispatch } from 'react-redux'



export default function () {
    const currentLyric = useSelector(state => state.recorder.currentLyric);
    const currentIndex = useSelector(state => state.recorder.currentIndex);
    const recordList = useSelector(state => state.recorder.list);


    if (recordList.length === 0) return <React.Fragment />;

    return <Paper className={styles.lyricsBrowser}>
        {recordList.at(currentIndex).type === 1 ? (typeof currentLyric === "object" ? currentLyric.map((lyric, index) => {
            return <div className={styles.lyricItem}>
                <Typography align="left">{lyric.text}</Typography>
                <Typography align="left">{lyric.translation}</Typography>
            </div>
        }) : <React.Fragment />) : <div> {typeof currentLyric === "string" ? currentLyric : ""}</div>}
    </Paper>
}